package dp.kotul.starter.properties

import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.boot.context.properties.ConstructorBinding

@ConstructorBinding
@ConfigurationProperties(prefix = "auth")
data class AuthInterceptorProperties(
        val enabled: Boolean = false,
        val urlPatterns: List<String> = listOf("/**"),
        val excludeUrlPatterns: List<String> = listOf()
)
